summaryrefslogtreecommitdiff
path: root/systems/apltex/make/clean.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2024-12-23 03:04:00 +0000
committerNorbert Preining <norbert@preining.info>2024-12-23 03:04:00 +0000
commit35102b68291783e779cfef5f390ec522610e2786 (patch)
tree2fdb2c5fc96e75ba93f189fc420e29d7a992e423 /systems/apltex/make/clean.sh
parente85f83d7d39665d2b21098bd5bd2f1be4caf4dd2 (diff)
CTAN sync 202412230303
Diffstat (limited to 'systems/apltex/make/clean.sh')
-rwxr-xr-xsystems/apltex/make/clean.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/systems/apltex/make/clean.sh b/systems/apltex/make/clean.sh
new file mode 100755
index 0000000000..49f31c455f
--- /dev/null
+++ b/systems/apltex/make/clean.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+realpath()
+{
+ oldpath=`pwd`
+ if ! cd $1 > /dev/null 2>&1; then
+ cd ${1##*/} > /dev/null 2>&1
+ echo $( pwd -P )/${1%/*}
+ else
+ pwd -P
+ fi
+ cd $oldpath > /dev/null 2>&1
+}
+
+cd "$(realpath $(dirname "$0"))/.."
+
+rm */LOCK &
+rm -r texmf &
+rm -rf luatex/luatex &
+rm fmtdump/*.log &
+rm fmtdump/*.fmt